<<<<<<< HEAD
<div class="m-1">
    <form (ngSubmit)="searchButton(formSearch)" #formSearch="ngForm" novalidate="" id="search-class">
        <div  id="filters-class">
            <div class="row d-flex justify-content-start">
                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-secondary" type="button">
                                <i class="fas fa-user-circle"></i>
                            </button>
                        </div>
                        <input placeholder="Apellido(s)" type="text" tabindex="1" class="form-control" name="apellido" 
                            #box1 appFocus [(ngModel)]="apellido" (change)="onchange('apellido')"
                            (keyup.enter)="searchValue(box1.value, 'nombre', box2.value)">
                    </div>
                </div>
                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-secondary" type="button">
                                <i class="fas fa-user-circle"></i>
                            </button>
                        </div>
                        <input placeholder="Nombre(s)" type="text" tabindex="2"  class="form-control" name="nombre" #box2
                            [(ngModel)]="nombre" (change)="onchange('nombre')" (keyup.enter)="searchValue(box1.value, 'nombre', box2.value)">
                    </div>
                </div>
                <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-secondary" type="button">
                                <i class="fas fa-file-signature"></i>
                            </button>
                        </div>
                        <input placeholder="Contrato" type="text" tabindex="3" class="form-control" name="Contrato" #box10
                            [(ngModel)]="contrato" (change)="onchange('contrato')"
                            (keyup.enter)="searchValue(box10.value, 'Contrato')">
                    </div>
                </div>
            </div>
        </div>
        <div class="row-fluid" *ngIf="!loading" id="grid-class">
            <button type="submit" class="btn btn-dark py-2 px-4">
                    <i class="fas fa-search mr-2"></i>Buscar
            </button>
            <button (click)="selectedHuesp()" [disabled]="empty"
                    [ngClass]="{ 'btn-outline-success': empty, 'btn-success': !empty }"
                    type="button" class="btn py-2 px-4 ml-1">
                    <i class="fas fa-check mr-2"></i>Aceptar
            </button>
            <button (click)="onchange()" [disabled]="!formSearch.touched"
                    [ngClass]="{ 'btn-outline-secondary': formSearch.touched, 'btn-secondary': !formSearch.touched }"
                    type="button" class="btn float-right">
                    <i class="fas fa-redo-alt fa-lg"></i>
            </button>
            <kendo-grid 
                [data]="dataGrid" 
                [selectable]="true" 
                (selectionChange)="selectedRow($event)"
                class="mt-1"  
                style="height:60vh;">
                <kendo-grid-column field="propiedad"  title="Propiedad"   [width]="100"></kendo-grid-column>
                <kendo-grid-column field="ncte"       title="No. Cliente" [width]="100"></kendo-grid-column>
                <kendo-grid-column field="hapellido"  title="Apellido(s)"></kendo-grid-column>
                <kendo-grid-column field="hnombre"    title="Nombre(s)"></kendo-grid-column>
                <kendo-grid-column field="contrato"   title="Contrato"    [width]="100"></kendo-grid-column>
                <kendo-grid-column field="hciudad"    title="Ciudad"      [width]="200"></kendo-grid-column>
                <kendo-grid-column field="estado"     title="Estado."     [width]="80"></kendo-grid-column>
                <kendo-grid-column field="hcp"        title="C.P."        [width]="80"></kendo-grid-column>
                <ng-template kendoGridDetailTemplate let-dataItem>
                    <div class="row" *ngIf="dataItem.hfolio">
                        <p class="col-3"><strong>Llegadas:</strong> {{dataItem.htllegadas}}</p>
                        <p class="col-3"><strong>E-Mail:</strong> {{dataItem.Email}}</p>
                        <p class="col-3"><strong>Ocupación:</strong> {{dataItem.ocupacion}}</p>
                        <p class="col-3"><strong>Puesto:</strong> {{dataItem.hpuesto}}</p>
                        <p class="col-3"><strong>Aniv. Bodas:</strong> {{dataItem.hfecaniv}}</p>
                        <p class="col-3"><strong>Fec. Nac.:</strong> {{dataItem.hfecnac}}</p>
                    </div>
                </ng-template>
                <!-- <div *kendoGridDetailTemplate="let dataItem">
                    <kendo-grid 
                        [data]="dataItem" 
                        [selectable]="true"
                        [selectable]="true">
                        <kendo-grid-column field="htllegadas" title="Llegadas"    [width]="70"></kendo-grid-column>
                        <kendo-grid-column field="Email"      title="E-Mail"></kendo-grid-column>
                        <kendo-grid-column field="ocupacion"  title="Ocupación"   [width]="120"></kendo-grid-column>
                        <kendo-grid-column field="hpuesto"    title="Puesto"      [width]="120"></kendo-grid-column>
                        <kendo-grid-column field="hfecaniv"   title="Aniv. Bodas" [width]="70"></kendo-grid-column>
                        <kendo-grid-column field="hfecnac"    title="Fec. Nac."   [width]="70"></kendo-grid-column>
                    </kendo-grid>
                </div> -->
            </kendo-grid>
        </div>
    </form>
</div>
<div class="text-center pt-5"  *ngIf="loading">
    <span class="k-i-loading k-icon text-danger" style="font-size: 7rem;"></span>
    <h5 class="pt-3 h6 mr-2">Buscando resultados...</h5>
</div>
=======
<div class="m-1">
  <form #formSearch="ngForm" novalidate="" id="search-class">
    <div id="filters-class">
      <div class="row d-flex justify-content-start">
        <div class="form-group col-sm-4 col-md-4 col-lg-3 col-xl-4">
          <div class="input-group">
            <div class="input-group-prepend">
              <button class="btn btn-outline-secondary" type="button">
                <i class="fas fa-user-circle"></i>
              </button>
            </div>
            <input placeholder="Apellido(s)" type="text" tabindex="1" class="form-control" name="apellido" #box1
              appFocus [(ngModel)]="apellido" (change)="onchange('apellido')"
              (keyup.enter)="searchValue(box1.value, 'nombre', box2.value)">
          </div>
        </div>
        <div class="form-group col-sm-4 col-md-4 col-lg-3 col-xl-4">
          <div class="input-group">
            <div class="input-group-prepend">
              <button class="btn btn-outline-secondary" type="button">
                <i class="fas fa-user-circle"></i>
              </button>
            </div>
            <input placeholder="Nombre(s)" type="text" tabindex="2" class="form-control" name="nombre" #box2
              [(ngModel)]="nombre" (change)="onchange('nombre')"
              (keyup.enter)="searchValue(box1.value, 'nombre', box2.value)">
          </div>
        </div>
        <div class="form-group col-sm-4 col-md-4 col-lg-3 col-xl-4">
          <div class="input-group">
            <div class="input-group-prepend">
              <button class="btn btn-outline-secondary">
                <i class="fas fa-file-signature"></i>
              </button>
            </div>
            <input placeholder="Contrato" type="text" tabindex="3" class="form-control" name="Contrato" #box3
              [(ngModel)]="contrato" (change)="onchange('contrato')"
              (keyup.enter)="searchValue(box3.value, 'Contrato')">
          </div>
        </div>
      </div>
    </div>
  </form>
  <ng-container *ngIf="!loading">
    <button (click)="searchButton(formSearch)" class="btn btn-primary py-2 px-4">
      <i class="fas fa-search mr-2"></i>Buscar
    </button>
    <!--<button (click)="selectedHuesp()" [disabled]="empty"
            [ngClass]="{ 'btn-outline-success': empty, 'btn-success': !empty }"
            type="button" class="btn py-2 px-4 ml-1">
      <i class="fas fa-check mr-2"></i>Aceptar
    </button>
    <button (click)="onchange()" [disabled]="!formSearch.touched"
            [ngClass]="{ 'btn-outline-secondary': formSearch.touched, 'btn-secondary': !formSearch.touched }"
            type="button" class="btn float-right">
      <i class="fas fa-redo-alt fa-lg"></i>
    </button>-->
    <kendo-grid [data]="dataGrid" [selectable]="true" (selectionChange)="selectedRow($event)" class="mt-1"
      style="height:54vh;" [pageSize]="pageSize" [skip]="skip" [pageable]="{ buttonCount: 5, pageSizes: [10, 25, 50]}"
      (pageChange)="pageChange($event)">
      <div *ngIf="items.length !== 0">
        <kendo-grid-column field="propiedad" title="Propiedad" [width]="115"></kendo-grid-column>
        <kendo-grid-column field="ncte" title="No. Cliente" [width]="130"></kendo-grid-column>
        <kendo-grid-column field="hapellido" title="Apellido(s)" [width]="140"></kendo-grid-column>
        <kendo-grid-column field="hnombre" title="Nombre(s)" [width]="140"></kendo-grid-column>
        <kendo-grid-column field="contrato" title="Contrato" [width]="100"></kendo-grid-column>
        <kendo-grid-column field="hciudad" title="Ciudad" [width]="200"></kendo-grid-column>
        <kendo-grid-column field="estado" title="Estado" [width]="80"></kendo-grid-column>
        <kendo-grid-column field="hcp" title="C.P." [width]="80"></kendo-grid-column>
        <ng-template kendoGridDetailTemplate let-dataItem>
          <div class="row" *ngIf="dataItem.hfolio">
            <p class="col-3"><strong>Llegadas:</strong> {{dataItem.htllegadas}}</p>
            <p class="col-3"><strong>E-Mail:</strong> {{dataItem.Email}}</p>
            <p class="col-3"><strong>Ocupación:</strong> {{dataItem.ocupacion}}</p>
            <p class="col-3"><strong>Puesto:</strong> {{dataItem.hpuesto}}</p>
            <p class="col-3"><strong>Aniv. Bodas:</strong> {{dataItem.hfecaniv}}</p>
            <p class="col-3"><strong>Fec. Nac.:</strong> {{dataItem.hfecnac}}</p>
          </div>
        </ng-template>
        <!-- <div *kendoGridDetailTemplate="let dataItem">
            <kendo-grid
                [data]="dataItem"
                [selectable]="true"
                [selectable]="true">
                <kendo-grid-column field="htllegadas" title="Llegadas"    [width]="70"></kendo-grid-column>
                <kendo-grid-column field="Email"      title="E-Mail"></kendo-grid-column>
                <kendo-grid-column field="ocupacion"  title="Ocupación"   [width]="120"></kendo-grid-column>
                <kendo-grid-column field="hpuesto"    title="Puesto"      [width]="120"></kendo-grid-column>
                <kendo-grid-column field="hfecaniv"   title="Aniv. Bodas" [width]="70"></kendo-grid-column>
                <kendo-grid-column field="hfecnac"    title="Fec. Nac."   [width]="70"></kendo-grid-column>
            </kendo-grid>
        </div> -->
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ norecords }}
      </ng-template>
    </kendo-grid>
  </ng-container>
</div>

<app-loading *ngIf="loading"></app-loading>
>>>>>>> dev-alberto
